%global stackname gencpp
%global gitrev 8ca2ab8
Name:           ros-%{rosrelease}-%{stackname}
Version:        0.4.11
Release:        1
Summary:        ROS C++ Message Generation

License:        BSD
URL:            http://ros.org/
#wget --content-disposition https://github.com/ros/gencpp/tarball/0.4.11
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
# move /usr/etc/langs to /etc/ros-langs
Patch0:         ros-%{stackname}-langs.patch
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  python-catkin
BuildRequires:  ros-%{rosrelease}-genmsg

%description
%{name} generates C++ message definitions from msg files

%prep
%setup -q -n ros-%{stackname}-%{gitrev}
#%patch0 -p1 -b .langs

%build
export ROS_PACKAGE_PATH=/usr
source %{_datadir}/genmsg/setup.sh
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF .. -DCMAKE_PREFIX_PATH=/usr -DCATKIN_GLOBAL_LIB_DESTINATION=%{_lib} \
  -DCATKIN_GLOBAL_LIBEXEC_DESTINATION=libexec
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{stackname}.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

%files
%doc
%{_sysconfdir}/ros/genmsg/gencpp
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc
%{_libexecdir}/%{stackname}
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info


%changelog
* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 0.4.11-1
- Update to release 0.4.11

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.4-1.gite14045c
- Initial package
